
Redmine - Patch #26728

count > 0 vs exists?

2017-08-21 05:10 - jwjw yy

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version:    

Description

redmine/app/models/project.rb:671:      if versions.count > 0

redmine/app/views/imports/show.html.erb:3:<% if @import.saved_items.count > 0 %>

redmine/app/views/imports/show.html.erb:15:<% if @import.unsaved_items.count > 0 %>

 could be

redmine/app/models/project.rb:671:      if versions.exists?

redmine/app/views/imports/show.html.erb:3:<% if @import.saved_items.exists? %>

redmine/app/views/imports/show.html.erb:15:<% if @import.unsaved_items.exists?%>

Related issues:

Related to Redmine - Patch #24839: Minor performance improvement - Replace co... Closed

History

#1 - 2017-08-21 07:55 - Toshi MARUYAMA

- Category set to Code cleanup/refactoring

- Status changed from New to Needs feedback

Please post by patch.

#2 - 2017-08-21 07:58 - Toshi MARUYAMA

And please describe why this change is effective.

#3 - 2017-08-23 06:59 - Toshi MARUYAMA

Toshi MARUYAMA wrote:

Please post by patch.

 Please post by attachment patch file.

#4 - 2018-07-01 06:48 - Go MAEDA

- Related to Patch #24839: Minor performance improvement - Replace count by exists? added

#5 - 2018-07-01 06:54 - Go MAEDA

- Status changed from Needs feedback to Closed

We have decided not to use exists? there. Please see #24839#note-1 and #24839#note-3.
